org.eclipse.draw2d.graph

## Class RankList

- java.lang.Object
- - org.eclipse.draw2d.graph.RankList

    public final class RankList
    extends java.lang.Object

For internal use only. A list of lists.

Since:
  2.1.2

### Constructor Summary

Constructors
Constructor and Description
`RankList()`

### Method Summary

Methods
`Rank` `getRank(int rank)` Returns the specified rank.
`int` `size()` Returns the total number or ranks.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RankList

    public RankList()

### Method Detail

#### getRank

    public Rank getRank(int rank)

Returns the specified rank.

Parameters:
  `rank` - the row
Returns:
  the rank

#### size

    public int size()

Returns the total number or ranks.

Returns:
  the total number of ranks